using System.ComponentModel.DataAnnotations;

namespace Core.Entities
{
    public class MedicalHistory
    {
        public MedicalHistory()
        {
            Id = Guid.NewGuid();
        }

        [Key]
        public Guid Id { get; private set; }
        public Guid UserId { get; private set; }
        public byte[] Description { get; private set; } = [];

        public void SetUserId(Guid userId) { UserId = userId; }
        public void SetDescription(byte[] description) { Description = description; }
    }
}
